<template>
	<view class="p-person-inputAccountInfo g_w_all g_h_all g_bg_f_5 g_p_10 g_kuaishou" style="overflow: hidden">
		<view class="g_pt_12 g_pl_16 g_pr_16 g_bg_f g_radius_8 g_position_rela">
			<u-input :maxlength="30" class="" v-model="info.desp" placeholder="请填写30字以内的简介" :custom-style="{ fontSize: ' 16px', lineHeight: '1.5' }" :clearable="false" type="textarea" :auto-height="true" :height="200" placeholder-style="color:#ccc;"></u-input>
			<view class="g_text_r g_fs_16 g_pb_16">{{ info.desp.length }}/30</view>
		</view>
		<view class="g_flex_row_center g_mt_65">
			<view class="g_w_260 g_fs_18 g_bg_main g_c_f g_flex_c g_h_42 g_radius_25" @click="submitDesp" hover-class="thover">确定</view>
		</view>
	</view>
</template>

<script>
export default {
	onReady() {
		this.G.setNavStyle();
	},
	onShareAppMessage() {
		return this.G.shareFun();
	},
	onLoad(options) {
		console.log(options);
		if (options.val) {
			this.info.desp = options.val == "请简单介绍发单号" || options.val == "请简单介绍" ? "" : options.val;
			uni.setStorageSync("agencyDesp", options.val == "请简单介绍发单号" || options.val == "请简单介绍" ? "" : options.val);
		}
		if (options.from) {
			this.from = options.from;
		}
	},
	// 组件名称
	name: "",
	// 局部注册的组件
	components: {},
	// 组件参数 接收来自父组件的数据
	props: {},
	// 组件状态值
	data() {
		return {
			info: {
				desp: "",
			},
			from: "",
		};
	},
	// 计算属性
	computed: {},
	// 侦听器
	watch: {},
	created() {},
	mounted() {},
	// 组件方法
	methods: {
		submitDesp() {
			// if (true) {
			uni.setStorageSync("agencyDesp", this.info.desp);
			if (this.from == "person") {
				uni.$emit("changePersonDesp", { info: this.info.desp });

			} else {
				uni.$emit("changeDesp", { info: this.info.desp });
			}
			// }
			wx.navigateBack({
				delta: 1,
			});
		},
	},
};
</script>

<style scoped lang="scss">
.close {
	position: absolute;
	width: 18px;
	height: 18px;
	right: -6px;
	top: -6px;
	z-index: 99;
	background-color: #666;
	color: #fff;
	font-size: 8px;
	text-align: center;
	line-height: 18px;
	border-radius: 50%;
}
</style>
